Anonymous Login
2019-02-22 13:02 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001094v3.0 Release[All Projects] Generalpublic2013-08-28 11:18
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001094: links don't display in project or task view + workaround
Descriptionsee getProjectTaskLinksByCategory and http://forums.web2project.net/viewtopic.php?p=14625#14625

the reason is that in index_table.php, we filter for category $tab-1.

That is fine for the main links display, but nonsense for project view, where $tab is 9.
A dirty fix would be to set $tab=1 if $tab=9 before the function call.
Similiar for task view

Klaus
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002446

opto (manager)

sorry, for projects $tab is 8 instead of 9 as given above.

for tasks, it is 3 which conflicts with the link tabs under links, so the workaround won't be applicable here

Or - what I did - do the same hack for tasks, which then makes the application tab under links to not work.
(for me, the tasks display is more important)

~0002451

opto (manager)

doesn't the header or some php array tell where we come from?
so if not from index.php, we are in a tabview and set $tab to 1

~0002585

caseydk (administrator)

Resolved in pre-v3.0 development:
https://github.com/caseysoftware/web2project/commit/b0ae0f5030d6d72494a5fc1cf55abad3434406e7
+Notes

-Issue History
Date Modified Username Field Change
2012-03-17 11:48 opto New Issue
2012-03-17 11:56 opto Note Added: 0002446
2012-03-17 22:27 caseydk Status new => assigned
2012-03-17 22:27 caseydk Assigned To => caseydk
2012-03-18 11:03 opto Note Added: 0002451
2012-07-13 22:49 caseydk Note Added: 0002585
2012-07-13 22:49 caseydk Status assigned => resolved
2012-07-13 22:49 caseydk Resolution open => fixed
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:18 caseydk Status resolved => closed
+Issue History